Texa DeskDevelopers

Texa Desk Application API · Conversations

Create New Conversation

POST/api/v1/accounts/{account_id}/conversations

Creating a conversation in texa-desk requires a source id.

Learn more about source_id: https://www.texa-desk.com/hc/user-guide/articles/1677839703-how-to-create-an-api-channel-inbox#send-messages-to-the-api-channel

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Body application/json

source_idstringrequired

Conversation source id

inbox_idinteger

Id of inbox in which the conversation is created
Allowed Inbox Types: Website, Phone, Api, Email

contact_idinteger

Contact Id for which conversation is created

additional_attributesobject

Lets you specify attributes like browser information

custom_attributesobject

The object to save custom attributes for conversation, accepts custom attributes key and value

statusstring

Specify the conversation whether it's pending, open, closed One of: open, resolved, pending.

assignee_idinteger

Agent Id for assigning a conversation to an agent

team_idinteger

Team Id for assigning a conversation to a team\

snoozed_untilstring (date-time)

Snoozed until date time

messageobject

The initial message to be sent to the conversation

message.contentstringrequired

The content of the message

message.template_paramsobject

The template params for the message in case of whatsapp Channel

message.template_params.namestring

Name of the template

message.template_params.categorystring

Category of the template

message.template_params.languagestring

Language of the template

message.template_params.processed_paramsobject

The processed param values for template variables in template

Responses

200

Success

idnumber

ID of the conversation

account_idnumber

Account Id

inbox_idnumber

ID of the inbox

403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring